<?php

namespace Litepie\Advertisement\Forms;

use Litepie\Form\FormInterpreter;

class Advertisement extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('advertisement/advertisement/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('advertisement/advertisement/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.name'),
                "placeholder" => trans('advertisement::advertisement.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('advertisement::advertisement.label.created_at'),
            'name' => trans('advertisement::advertisement.label.name'),
            'status' => trans('advertisement::advertisement.label.status'),
        ];
        self::$groups = [
            'main' => trans('advertisement::advertisement.groups.main'),
            'details' => trans('advertisement::advertisement.groups.details'),
            'images' => trans('advertisement::advertisement.groups.images'),
            'settings' => trans('advertisement::advertisement.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('advertisement::advertisement.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('advertisement::advertisement.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('advertisement::advertisement.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('advertisement::advertisement.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.title'),
                "placeholder" => trans('advertisement::advertisement.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'url' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.url'),
                "placeholder" => trans('advertisement::advertisement.placeholder.url'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'details' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.details'),
                "placeholder" => trans('advertisement::advertisement.placeholder.details'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'image' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.image'),
                "placeholder" => trans('advertisement::advertisement.placeholder.image'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'region' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('advertisement::advertisement.label.region'),
                "placeholder" => trans('advertisement::advertisement.placeholder.region'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'order' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.order'),
                "placeholder" => trans('advertisement::advertisement.placeholder.order'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'size' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.size'),
                "placeholder" => trans('advertisement::advertisement.placeholder.size'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
