<?php

namespace Litepie\Advertisement\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class AdvertisementItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('advertisement/advertisement') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'user_id' => $this->user_id,
            'user_type' => $this->user_type,
            'slug' => $this->slug,
            'title' => $this->title,
            'url' => $this->url,
            'details' => $this->details,
            'image' => $this->image,
            'region' => $this->region,
            'order' => $this->order,
            'size' => $this->size,
            'upload_folder' => $this->upload_folder,
            'status' => $this->status,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
